This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 120737 - up2date will not open.
up2date will not open.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 13:03 EDT by Marek Dabrowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 14:43:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marek Dabrowski 2004-04-13 13:03:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
[root@localhost root]# up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 12, in ?
    import rpm
ImportError: /usr/lib/python2.3/site-packages/rpmmodule.so: undefined
symbol: rpmdsBT


Version-Release number of selected component (if applicable):
up2date-4.3.15-2

How reproducible:
Always

Steps to Reproduce:
1.Terminal
2.SU
3.up2date
    

Actual Results:  [root@localhost root]# up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 12, in ?
    import rpm
ImportError: /usr/lib/python2.3/site-packages/rpmmodule.so: undefined
symbol: rpmdsBT


Expected Results:  up2date GUI should open.

Additional info:

This happened after all the updates. I made sure to make up2date
update first by itself as instructed. Then i restarted up2date and did
the rest of update .. 200 something of them ... after that finished
up2date did not want to run again.
Comment 1 Adrian Likins 2004-04-22 15:56:14 EDT
what version of rpm is installed?

       rpm -q rpm

also, can you verify that rpm and rpm-python are installed
correctly (aka, paste the output of...

        rpm -V rpm rpm-python
Comment 2 Marek Dabrowski 2004-04-23 08:36:49 EDT
rpm -q rpm 
reply: rpm-4.3.1-0.3

rpm -V rpm rpm-python
reply: missing    /var/lock/rpm

Note You need to log in before you can comment on or make changes to this bug.